# eric5.Plugins.VcsPlugins.vcsMercurial.HgMultiRevisionSelectionDialog

Module implementing a dialog to select revisions.

### Global Attributes

None

### Classes

HgMultiRevisionSelectionDialog | Class implementing a dialog to select revisions.

### Functions

None

## HgMultiRevisionSelectionDialog

Class implementing a dialog to select revisions.

### Derived from

QDialog, Ui_HgMultiRevisionSelectionDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgMultiRevisionSelectionDialog | Constructor
__updateOK | Private slot to update the OK button.
getRevisions | Public method to retrieve the selected revisions.
on_bookmarkButton_toggled | Private slot to handle changes of the Bookmark select button.
on_bookmarkCombo_editTextChanged | Private slot to handle changes of the Bookmark combo.
on_branchButton_toggled | Private slot to handle changes of the Branch select button.
on_branchCombo_editTextChanged | Private slot to handle changes of the Branch combo.
on_changesetsButton_toggled | Private slot to handle changes of the Changesets select button.
on_changesetsEdit_textChanged | Private slot to handle changes of the Changesets edit.
on_limitGroup_toggled | Private slot to handle changes of the Limit Results group status.
on_tagButton_toggled | Private slot to handle changes of the Tag select button.
on_tagCombo_editTextChanged | Private slot to handle changes of the Tag combo.

### Static Methods

None

#### HgMultiRevisionSelectionDialog (Constructor)

HgMultiRevisionSelectionDialog(tagsList, branchesList, bookmarksList=None, emptyRevsOk=False, showLimit=False, limitDefault=100, parent=None)

Constructor

tagsList
  list of tags (list of strings)
branchesList
  list of branches (list of strings)
bookmarksList
  list of bookmarks (list of strings)
emptyRevsOk
  flag indicating that it is ok to not enter revisions (boolean)
showLimit
  flag indicating to show the limit entry (boolean)
limitDefault
  default value for the limit (integer)
parent
  parent widget (QWidget)

#### HgMultiRevisionSelectionDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### HgMultiRevisionSelectionDialog.getRevisions

getRevisions()

Public method to retrieve the selected revisions.

Returns:
  tuple of selected revisions (list of strings) and number of entries to be shown (integer)

#### HgMultiRevisionSelectionDialog.on_bookmarkButton_toggled

on_bookmarkButton_toggled(checked)

Private slot to handle changes of the Bookmark select button.

checked
  state of the button (boolean)

#### HgMultiRevisionSelectionDialog.on_bookmarkCombo_editTextChanged

on_bookmarkCombo_editTextChanged(txt)

Private slot to handle changes of the Bookmark combo.

txt
  text of the combo (string)

#### HgMultiRevisionSelectionDialog.on_branchButton_toggled

on_branchButton_toggled(checked)

Private slot to handle changes of the Branch select button.

checked
  state of the button (boolean)

#### HgMultiRevisionSelectionDialog.on_branchCombo_editTextChanged

on_branchCombo_editTextChanged(txt)

Private slot to handle changes of the Branch combo.

txt
  text of the combo (string)

#### HgMultiRevisionSelectionDialog.on_changesetsButton_toggled

on_changesetsButton_toggled(checked)

Private slot to handle changes of the Changesets select button.

checked
  state of the button (boolean)

#### HgMultiRevisionSelectionDialog.on_changesetsEdit_textChanged

on_changesetsEdit_textChanged()

Private slot to handle changes of the Changesets edit.

#### HgMultiRevisionSelectionDialog.on_limitGroup_toggled

on_limitGroup_toggled(checked)

Private slot to handle changes of the Limit Results group status.

checked
  state of the group (boolean)

#### HgMultiRevisionSelectionDialog.on_tagButton_toggled

on_tagButton_toggled(checked)

Private slot to handle changes of the Tag select button.

checked
  state of the button (boolean)

#### HgMultiRevisionSelectionDialog.on_tagCombo_editTextChanged

on_tagCombo_editTextChanged(txt)

Private slot to handle changes of the Tag combo.

txt
  text of the combo (string)

Up